<?php

/**
 * @file
 * Contains \Drupal\sweetalert\Ajax\SweetAlertCommand.
 */

namespace Drupal\sweetalert\Ajax;

use Drupal\Core\Ajax\CommandInterface;

/**
 * AJAX command for calling SweetAlert from the jQuery SweetAlert plugin.
 *
 * @ingroup ajax
 */
class SweetAlertCommand implements CommandInterface {

  /**
   * Constructs a SweetAlertCommand object.
   *
   * @param array $options
   *   The options for the SweetAlert popup.
   */
  public function __construct(protected array $options) {}

  /**
   * Returns the options set for this SweetAlertCommand object.
   * @return array
   */
  public function getOptions(): array {
    return $this->options;
  }

  /**
   * {@inheritdoc}
   */
  public function render() {
    return [
      'command' => 'sweetalert',
      'settings' => array('options' => $this->options),
    ];
  }

}
